Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcckit.plot
Class TicLabelMap

    java.lang.Object
      jcckit.plot.TicLabelMap

All Implemented Interfaces:
  TicLabelFormat

public class TicLabelMap
extends java.lang.Object
implements TicLabelFormat

Map of number intervals onto a text label. The map is defined by a map description string provided by configuration data.

The map description is a list of conditions separated by ';'. The conditions are tested from left to right until a condition is fulfilled for the tic value. If no condition is fullfilled a '?' will be returned.

A condition description has one of the following forms:

    <label>

    <number>=<label>

    <number1>:<number2>=<label>

The first type of condition is always fulfilled. It will return `<label>`. This is a kind of else condtion which is put at the end of the condition list.

The second form maps a particular number onto a label. In order to be equal with the sepcified number the tic value should not deviate more than 1 ppm (part per millions) from `<number>.`

The third form maps an interval onto a label. The condition reads

`<number1>` <= tic label < `<number2>`

Examples:

     1=monday;2=tuesday;3=wednesday;4=thursday;5=friday;6=saturday;7=sunday
     0.5:1.5=I; 1.5:2.5 = II; 2.5:3.5 = III; the rest

Author:
  Franz-Josef Elmer

Field Summary
`static java.lang.String` | `MAP_KEY`

Constructor Summary
`TicLabelMap(ConfigParameters config)` Creates an instance from the specified configuration parameters.

Method Summary
`java.lang.String` | `form(double ticValue)` Maps the specified tic value onto a text label in accordance with the map description.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAP_KEY

    public static final java.lang.String MAP_KEY

See Also:
  Constant Field Values

Constructor Detail

### TicLabelMap

    public TicLabelMap(ConfigParameters config)

  Creates an instance from the specified configuration parameters.

  Key & Default Value | Type | Mandatory | Description
  --- | --- | --- | ---
  `map` | `String` | yes | Map description as explained above.

Method Detail

### form

    public java.lang.String form(double ticValue)

  Maps the specified tic value onto a text label in accordance with the map description.

  Specified by:
    `form` in interface `TicLabelFormat`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD